## umockdev 0.19.4

=== debian/changelog ===
umockdev (0.19.4-2) unstable; urgency=medium

  * Replace obsolete libgirepository1.0-dev build-dep.
    See build-depends-on-obsolete-package lintian warning and
    libgirepository1.0-dev README.Debian. (Closes: #1118928)
  * Add ${gir:Provides} to -dev.  Fixes gir-package-name-does-not-match
    lintian warning.

 -- Martin Pitt <mpitt@debian.org>  Sun, 26 Oct 2025 10:34:37 +0100

umockdev (0.19.4-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream bug fix release:
    - preload: Hide sticky bit from emulated block dev stat
    - preload: Wrap listxattr()
    - uevent-sender: Retry udev_device_new_from_syspath() on failure
    - uevent_sender: Retry sendmsg() on EAGAIN
    - tests: Adjust for evtest 1.36

  [ Luca Boccassi ]
  * autopkgtest: xserver-xorg-input-synaptics is not available on s390x.
    108s The following packages have unmet dependencies:
    108s  satisfy:command-line : Depends: xserver-xorg-input-synaptics but it
          is not installable
    108s E: Unable to correct problems, you have held broken packages.
    Mark it as !s390x

 -- Martin Pitt <mpitt@debian.org>  Sun, 12 Oct 2025 15:34:52 +0200

umockdev (0.19.3-2) unstable; urgency=medium

  * Upload to unstable, to unblock systemd 258 testing in experimental.

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Aug 2025 09:05:05 +0200
