=== debian/control ===
Source: umockdev
Section: devel
Priority: optional
Maintainer: Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-sequence-gir,
 meson,
 pkgconf,
 valac (>= 0.16.1),
 libglib2.0-dev (>= 2.32.0),
 libudev-dev,
 libgudev-1.0-dev,
 libpcap-dev,
 python3-gi,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0-dev,
 gir1.2-gudev-1.0,
 gobject-introspection (>= 1.80),
 gtk-doc-tools,
 help2man,
 udev <!nocheck>,
 usbutils <!nocheck>,
Homepage: https://github.com/martinpitt/umockdev/
Vcs-Git: https://salsa.debian.org/debian/umockdev.git
Vcs-Browser: https://salsa.debian.org/debian/umockdev
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: umockdev
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: record/mock hardware devices for bug reports and regression tests
 umockdev mocks hardware devices for creating unit tests for libraries and
 programs that handle Linux hardware devices.
 .
 This package provides tools to record the properties and behaviour of
 particular devices, and to run a program or test suite under a test bed with
 the previously recorded devices loaded.
 .
 Right now this covers sysfs, uevents, basic support for /dev devices, and
 recording/mocking usbdevfs ioctls (for PtP/MTP devices).
 .
 With this you can simulate particular hardware in virtual environments up to
 some degree, without needing any particular privileges or disturbing the whole
 system.

Package: libumockdev0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
  ${misc:Depends}
Description: hardware mocking testbed for bug reports and regression tests
 umockdev mocks hardware devices for creating unit tests for libraries and
 programs that handle Linux hardware devices.
 .
 This library provides an UMockdevTestbed class for running a program or test
 suite under a test bed with the previously recorded devices loaded.
 .
 Right now this covers sysfs, uevents, basic support for /dev devices, and
 recording/mocking usbdevfs ioctls (for PtP/MTP devices).
 .
 With this you can simulate particular hardware in virtual environments up to
 some degree, without needing any particular privileges or disturbing the whole
 system.
 .
 The library supports gobject-introspection and builds a VAPI, so that you can
 also use it with Python, JavaScript, and other languages which support GI, and
 Vala.

Package: libumockdev-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libumockdev0 (= ${binary:Version}),
 libglib2.0-dev,
 gir1.2-umockdev-1.0 (= ${binary:Version})
Provides: ${gir:Provides}
Description: development files and documentation for libumockdev
 umockdev mocks hardware devices for creating unit tests for libraries and
 programs that handle Linux hardware devices.
 .
 This library provides an UMockdevTestbed class for running a program or test
 suite under a test bed with the previously recorded devices loaded.
 .
 Right now this covers sysfs, uevents, basic support for /dev devices, and
 recording/mocking usbdevfs ioctls (for PtP/MTP devices).
 .
 With this you can simulate particular hardware in virtual environments up to
 some degree, without needing any particular privileges or disturbing the whole
 system.
 .
 The library supports gobject-introspection and builds a VAPI, so that you can
 also use it with Python, JavaScript, and other languages which support GI, and
 Vala.
 .
 This package contains the header, development, and documentation files which
 are needed for building umockdev applications.

Package: gir1.2-umockdev-1.0
Architecture: any
Section: introspection
Pre-Depends: ${misc:Pre-Depends}
Depends: libumockdev0 (>= ${binary:Version}),
 ${shlibs:Depends},
 ${gir:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: introspection data for umockdev library
 umockdev mocks hardware devices for creating unit tests for libraries and
 programs that handle Linux hardware devices.
 .
 This package contains the introspection data for the libumockdev library.
