=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# don't be too picky about timing; upstream CI and local developer tests
# are strict, but buildds/reproducibility builders may be slow and noisy
export SLOW_TESTBED_FACTOR = 3

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

execute_after_dh_auto_install:
	mkdir -p debian/tmp/usr/share/man/man1
	help2man --no-info --name 'Record devices and ioctls' obj-*/umockdev-record > debian/tmp/usr/share/man/man1/umockdev-record.1
	help2man --no-info --name 'Run a program under an umockdev testbed' obj-*/umockdev-run > debian/tmp/usr/share/man/man1/umockdev-run.1
