## umockdev 0.19.5

=== debian/changelog ===
umockdev (0.19.5-1) unstable; urgency=medium

  * New upstream release:
    - ioctl: Forward standard termios calls to real pty (fixes tests with Rust
      coreutils)
    - ioctl: Implement POSIX-compliant errno handling
  * debian/watch: Update to v5.
  * Bump Standards-Version to 4.7.3.
    Drop "Priority: optional" field, which is now the default.

 -- Martin Pitt <mpitt@debian.org>  Sat, 21 Feb 2026 03:37:51 +0100
