=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: umockdev
 Section: devel
-Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-gir,
@@ -23,7 +22,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 
 Package: umockdev
