=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/martinpitt/@PACKAGE@/releases
Matching-Pattern: https://github.com/martinpitt/@PACKAGE@/releases/download/\d[\.\d]*/@PACKAGE@-@ANY_VERSION@.tar.xz
Filenamemangle: s/.+\/@PACKAGE@-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.xz/
Searchmode: plain
